Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLab.AdvancedOptimizationFrontend.csproj
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLab.AdvancedOptimizationFrontend.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLab.AdvancedOptimizationFrontend.csproj	(revision 852)
@@ -160,5 +160,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.BitVector/HeuristicLab.BitVector.csproj
===================================================================
--- /trunk/sources/HeuristicLab.BitVector/HeuristicLab.BitVector.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.BitVector/HeuristicLab.BitVector.csproj	(revision 852)
@@ -96,5 +96,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLab.CEDMA.Charting.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLab.CEDMA.Charting.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLab.CEDMA.Charting.csproj	(revision 852)
@@ -170,5 +170,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj	(revision 852)
@@ -161,5 +161,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj	(revision 852)
@@ -103,5 +103,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj	(revision 852)
@@ -120,5 +120,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj	(revision 852)
@@ -122,5 +122,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj	(revision 852)
@@ -138,5 +138,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Charting.Data/HeuristicLab.Charting.Data.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Charting.Data/HeuristicLab.Charting.Data.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Charting.Data/HeuristicLab.Charting.Data.csproj	(revision 852)
@@ -103,5 +103,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Charting/HeuristicLab.Charting.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Charting/HeuristicLab.Charting.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Charting/HeuristicLab.Charting.csproj	(revision 852)
@@ -130,5 +130,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Communication.Data/HeuristicLab.Communication.Data.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Communication.Data/HeuristicLab.Communication.Data.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Communication.Data/HeuristicLab.Communication.Data.csproj	(revision 852)
@@ -179,5 +179,10 @@
   </ItemGroup>
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
     <PostBuildEvent>
     </PostBuildEvent>
Index: /trunk/sources/HeuristicLab.Communication.Operators/HeuristicLab.Communication.Operators.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Communication.Operators/HeuristicLab.Communication.Operators.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Communication.Operators/HeuristicLab.Communication.Operators.csproj	(revision 852)
@@ -86,5 +86,10 @@
     <PostBuildEvent>
     </PostBuildEvent>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
   <ItemGroup>
Index: /trunk/sources/HeuristicLab.Constraints/HeuristicLab.Constraints.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Constraints/HeuristicLab.Constraints.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Constraints/HeuristicLab.Constraints.csproj	(revision 852)
@@ -228,5 +228,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Core/HeuristicLab.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Core/HeuristicLab.Core.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Core/HeuristicLab.Core.csproj	(revision 852)
@@ -363,5 +363,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Data/HeuristicLab.Data.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Data/HeuristicLab.Data.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Data/HeuristicLab.Data.csproj	(revision 852)
@@ -305,5 +305,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLab.DataAnalysis.csproj
===================================================================
--- /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLab.DataAnalysis.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLab.DataAnalysis.csproj	(revision 852)
@@ -140,5 +140,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLab.DistributedEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLab.DistributedEngine.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLab.DistributedEngine.csproj	(revision 852)
@@ -112,5 +112,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.ES/HeuristicLab.ES.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ES/HeuristicLab.ES.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.ES/HeuristicLab.ES.csproj	(revision 852)
@@ -142,5 +142,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Evolutionary/HeuristicLab.Evolutionary.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Evolutionary/HeuristicLab.Evolutionary.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Evolutionary/HeuristicLab.Evolutionary.csproj	(revision 852)
@@ -100,5 +100,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.GP.Boolean/HeuristicLab.GP.Boolean.csproj
===================================================================
--- /trunk/sources/HeuristicLab.GP.Boolean/HeuristicLab.GP.Boolean.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.GP.Boolean/HeuristicLab.GP.Boolean.csproj	(revision 852)
@@ -109,5 +109,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.GP.SantaFe/HeuristicLab.GP.SantaFe.csproj
===================================================================
--- /trunk/sources/HeuristicLab.GP.SantaFe/HeuristicLab.GP.SantaFe.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.GP.SantaFe/HeuristicLab.GP.SantaFe.csproj	(revision 852)
@@ -121,5 +121,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/HeuristicLab.GP.StructureIdentification.Classification.csproj
===================================================================
--- /trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/HeuristicLab.GP.StructureIdentification.Classification.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.GP.StructureIdentification.Classification/HeuristicLab.GP.StructureIdentification.Classification.csproj	(revision 852)
@@ -126,5 +126,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/HeuristicLab.GP.StructureIdentification.TimeSeries.csproj
===================================================================
--- /trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/HeuristicLab.GP.StructureIdentification.TimeSeries.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/HeuristicLab.GP.StructureIdentification.TimeSeries.csproj	(revision 852)
@@ -116,5 +116,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.GP.StructureIdentification/HeuristicLab.GP.StructureIdentification.csproj
===================================================================
--- /trunk/sources/HeuristicLab.GP.StructureIdentification/HeuristicLab.GP.StructureIdentification.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.GP.StructureIdentification/HeuristicLab.GP.StructureIdentification.csproj	(revision 852)
@@ -165,5 +165,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.GP/HeuristicLab.GP.csproj
===================================================================
--- /trunk/sources/HeuristicLab.GP/HeuristicLab.GP.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.GP/HeuristicLab.GP.csproj	(revision 852)
@@ -163,5 +163,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Grid/HeuristicLab.Grid.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Grid/HeuristicLab.Grid.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Grid/HeuristicLab.Grid.csproj	(revision 852)
@@ -135,5 +135,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Client.Common/HeuristicLab.Hive.Client.Common.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Common/HeuristicLab.Hive.Client.Common.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Client.Common/HeuristicLab.Hive.Client.Common.csproj	(revision 852)
@@ -101,5 +101,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Client.Communication/HeuristicLab.Hive.Client.Communication.csproj	(revision 852)
@@ -88,5 +88,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 852)
@@ -104,5 +104,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Client.Core/HeuristicLab.Hive.Client.Core.csproj	(revision 852)
@@ -116,5 +116,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/HeuristicLab.Hive.Client.ExecutionEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/HeuristicLab.Hive.Client.ExecutionEngine.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Client.ExecutionEngine/HeuristicLab.Hive.Client.ExecutionEngine.csproj	(revision 852)
@@ -83,5 +83,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Contracts/HeuristicLab.Hive.Contracts.csproj	(revision 852)
@@ -106,5 +106,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/HeuristicLab.Hive.Server.ADODataAccess.csproj	(revision 852)
@@ -111,5 +111,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HeuristicLab.Hive.Server.Console.csproj	(revision 852)
@@ -122,5 +122,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/HeuristicLab.Hive.Server.Core.csproj	(revision 852)
@@ -91,5 +91,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Server.Scheduler/HeuristicLab.Hive.Server.Scheduler.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Scheduler/HeuristicLab.Hive.Server.Scheduler.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Server.Scheduler/HeuristicLab.Hive.Server.Scheduler.csproj	(revision 852)
@@ -70,5 +70,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Hive.Server/HeuristicLab.Hive.Server.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server/HeuristicLab.Hive.Server.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Hive.Server/HeuristicLab.Hive.Server.csproj	(revision 852)
@@ -111,5 +111,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Logging/HeuristicLab.Logging.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Logging/HeuristicLab.Logging.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Logging/HeuristicLab.Logging.csproj	(revision 852)
@@ -145,5 +145,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLab.Operators.Metaprogramming.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLab.Operators.Metaprogramming.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLab.Operators.Metaprogramming.csproj	(revision 852)
@@ -100,5 +100,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLab.Operators.Programmable.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLab.Operators.Programmable.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLab.Operators.Programmable.csproj	(revision 852)
@@ -115,5 +115,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLab.Operators.Stopwatch.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLab.Operators.Stopwatch.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLab.Operators.Stopwatch.csproj	(revision 852)
@@ -97,5 +97,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Operators/HeuristicLab.Operators.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators/HeuristicLab.Operators.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Operators/HeuristicLab.Operators.csproj	(revision 852)
@@ -158,5 +158,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLab.OptimizationFrontend.csproj
===================================================================
--- /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLab.OptimizationFrontend.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLab.OptimizationFrontend.csproj	(revision 852)
@@ -157,5 +157,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Permutation/HeuristicLab.Permutation.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Permutation/HeuristicLab.Permutation.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Permutation/HeuristicLab.Permutation.csproj	(revision 852)
@@ -134,5 +134,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/HeuristicLab.PluginInfrastructure.GUI.csproj
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/HeuristicLab.PluginInfrastructure.GUI.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/HeuristicLab.PluginInfrastructure.GUI.csproj	(revision 852)
@@ -172,5 +172,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 852)
@@ -116,5 +116,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Random/HeuristicLab.Random.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Random/HeuristicLab.Random.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Random/HeuristicLab.Random.csproj	(revision 852)
@@ -109,5 +109,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.RealVector/HeuristicLab.RealVector.csproj
===================================================================
--- /trunk/sources/HeuristicLab.RealVector/HeuristicLab.RealVector.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.RealVector/HeuristicLab.RealVector.csproj	(revision 852)
@@ -122,5 +122,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLab.Routing.TSP.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLab.Routing.TSP.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLab.Routing.TSP.csproj	(revision 852)
@@ -137,5 +137,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.SGA/HeuristicLab.SGA.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SGA/HeuristicLab.SGA.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.SGA/HeuristicLab.SGA.csproj	(revision 852)
@@ -128,5 +128,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.SQLite/HeuristicLab.SQLite.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SQLite/HeuristicLab.SQLite.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.SQLite/HeuristicLab.SQLite.csproj	(revision 852)
@@ -93,5 +93,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLab.Scheduling.JSSP.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLab.Scheduling.JSSP.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLab.Scheduling.JSSP.csproj	(revision 852)
@@ -176,5 +176,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLab.Selection.OffspringSelection.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLab.Selection.OffspringSelection.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLab.Selection.OffspringSelection.csproj	(revision 852)
@@ -92,5 +92,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Selection/HeuristicLab.Selection.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Selection/HeuristicLab.Selection.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Selection/HeuristicLab.Selection.csproj	(revision 852)
@@ -107,5 +107,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLab.SequentialEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLab.SequentialEngine.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLab.SequentialEngine.csproj	(revision 852)
@@ -95,5 +95,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Settings/HeuristicLab.Settings.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Settings/HeuristicLab.Settings.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Settings/HeuristicLab.Settings.csproj	(revision 852)
@@ -98,5 +98,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.SimOpt/HeuristicLab.SimOpt.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SimOpt/HeuristicLab.SimOpt.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.SimOpt/HeuristicLab.SimOpt.csproj	(revision 852)
@@ -128,5 +128,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
     <PostBuildEvent>
     </PostBuildEvent>
Index: /trunk/sources/HeuristicLab.TestFunctions/HeuristicLab.TestFunctions.csproj
===================================================================
--- /trunk/sources/HeuristicLab.TestFunctions/HeuristicLab.TestFunctions.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.TestFunctions/HeuristicLab.TestFunctions.csproj	(revision 852)
@@ -119,5 +119,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLab.ThreadParallelEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLab.ThreadParallelEngine.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLab.ThreadParallelEngine.csproj	(revision 852)
@@ -95,5 +95,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Visualization.Test/HeuristicLab.Visualization.Test.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Visualization.Test/HeuristicLab.Visualization.Test.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Visualization.Test/HeuristicLab.Visualization.Test.csproj	(revision 852)
@@ -4,5 +4,5 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>9.0.21022</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{23117533-8A91-474E-BBF6-C39485D0810A}</ProjectGuid>
@@ -89,5 +89,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.Visualization/HeuristicLab.Visualization.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Visualization/HeuristicLab.Visualization.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab.Visualization/HeuristicLab.Visualization.csproj	(revision 852)
@@ -4,5 +4,5 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>9.0.21022</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{E392A1E2-DC95-4E33-B82E-8ED690EDA1AB}</ProjectGuid>
@@ -120,5 +120,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 851)
+++ /trunk/sources/HeuristicLab.sln	(revision 852)
@@ -4,4 +4,5 @@
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{96396439-A764-4022-A8D2-BE021449B8D1}"
 	ProjectSection(SolutionItems) = preProject
+		ConfigMerger.exe = ConfigMerger.exe
 		..\documentation\License\gpl-3.0.txt = ..\documentation\License\gpl-3.0.txt
 		PreBuildEvent.cmd = PreBuildEvent.cmd
@@ -585,5 +586,4 @@
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|Any CPU.Build.0 = Release|Any CPU
 		{1605256A-1CB3-44AB-AAFF-577093EE5789}.Release|x86.ActiveCfg = Release|Any CPU
-<<<<<<< .mine
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -592,5 +592,4 @@
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|Any CPU.Build.0 = Release|Any CPU
 		{AEB51212-CDBA-4FC6-A2EE-02359AA53ECE}.Release|x86.ActiveCfg = Release|Any CPU
-=======
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -599,5 +598,4 @@
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|Any CPU.Build.0 = Release|Any CPU
 		{42A1D075-6C12-4DD9-B0C2-C6F5210A8119}.Release|x86.ActiveCfg = Release|Any CPU
->>>>>>> .r781
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 851)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 852)
@@ -1,3 +1,3 @@
-copy %1\HeuristicLab.PluginInfrastructure.GUI\ICSharpCode.SharpZipLib License.txt .\
+copy "%SolutionDir%\HeuristicLab.PluginInfrastructure.GUI\ICSharpCode.SharpZipLib License.txt" .\
 
 rmdir plugins /s /q 
@@ -6,69 +6,70 @@
 mkdir plugins\temp
 mkdir plugins\backup
-copy %1\HeuristicLab.AdvancedOptimizationFrontend\%2\HeuristicLab.AdvancedOptimizationFrontend-3.2.dll .\plugins
-copy %1\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking.dll .\plugins
-copy %1\HeuristicLab.AdvancedOptimizationFrontend\"WeifenLuo.WinFormsUI.Docking License.txt" .\plugins
-copy %1\HeuristicLab.BitVector\%2\HeuristicLab.BitVector-3.2.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Charting\%2\HeuristicLab.CEDMA.Charting-3.2.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Core\%2\HeuristicLab.CEDMA.Core-3.2.dll .\plugins
-copy %1\HeuristicLab.CEDMA.DB\%2\HeuristicLab.CEDMA.DB-3.2.dll .\plugins
-copy %1\HeuristicLab.CEDMA.DB\%2\SemWeb.SqliteStore.dll .\plugins
-copy %1\HeuristicLab.CEDMA.DB\%2\SemWeb.dll .\plugins
-copy %1\HeuristicLab.CEDMA.DB.Interfaces\%2\HeuristicLab.CEDMA.DB.Interfaces-3.2.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Operators\%2\HeuristicLab.CEDMA.Operators-3.2.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Server\%2\HeuristicLab.CEDMA.Server-3.2.dll .\plugins
-copy %1\HeuristicLab.Charting\%2\HeuristicLab.Charting-3.2.dll .\plugins
-copy %1\HeuristicLab.Charting.Data\%2\HeuristicLab.Charting.Data-3.2.dll .\plugins
-copy %1\HeuristicLab.Communication.Data\%2\HeuristicLab.Communication.Data-3.2.dll .\plugins
-copy %1\HeuristicLab.Communication.Operators\%2\HeuristicLab.Communication.Operators-3.2.dll .\plugins
-copy %1\HeuristicLab.Core\%2\HeuristicLab.Core-3.2.dll .\plugins
-copy %1\HeuristicLab.Constraints\%2\HeuristicLab.Constraints-3.2.dll .\plugins
-copy %1\HeuristicLab.Data\%2\HeuristicLab.Data-3.2.dll .\plugins
-copy %1\HeuristicLab.DataAnalysis\%2\HeuristicLab.DataAnalysis-3.2.dll .\plugins
-copy %1\HeuristicLab.DistributedEngine\%2\HeuristicLab.DistributedEngine-3.2.dll .\plugins
-copy %1\HeuristicLab.Evolutionary\%2\HeuristicLab.Evolutionary-3.2.dll .\plugins
-copy %1\HeuristicLab.GP\%2\HeuristicLab.GP-3.2.dll .\plugins
-copy %1\HeuristicLab.GP.Boolean\%2\HeuristicLab.GP.Boolean-1.0.dll .\plugins
-copy %1\HeuristicLab.GP.SantaFe\%2\HeuristicLab.GP.SantaFe-3.2.dll .\plugins
-copy %1\HeuristicLab.GP.StructureIdentification\%2\HeuristicLab.GP.StructureIdentification-3.2.dll .\plugins
-copy %1\HeuristicLab.GP.StructureIdentification.Classification\%2\HeuristicLab.GP.StructureIdentification.Classification-3.2.dll .\plugins
-copy %1\HeuristicLab.GP.StructureIdentification.TimeSeries\%2\HeuristicLab.GP.StructureIdentification.TimeSeries-3.2.dll .\plugins
-copy %1\HeuristicLab.Grid\%2\HeuristicLab.Grid-3.2.dll .\plugins
-copy %1\HeuristicLab.Logging\%2\HeuristicLab.Logging-3.2.dll .\plugins
-copy %1\HeuristicLab.Operators\%2\HeuristicLab.Operators-3.2.dll .\plugins
-copy %1\HeuristicLab.Operators.Metaprogramming\%2\HeuristicLab.Operators.Metaprogramming-3.2.dll .\plugins
-copy %1\HeuristicLab.Operators.Programmable\%2\HeuristicLab.Operators.Programmable-3.2.dll .\plugins
-copy %1\HeuristicLab.Operators.Stopwatch\%2\HeuristicLab.Operators.Stopwatch-3.2.dll .\plugins
-copy %1\HeuristicLab.OptimizationFrontend\%2\HeuristicLab.OptimizationFrontend-3.2.dll .\plugins
-copy %1\HeuristicLab.Permutation\%2\HeuristicLab.Permutation-3.2.dll .\plugins
-copy %1\HeuristicLab.Random\%2\HeuristicLab.Random-3.2.dll .\plugins
-copy %1\HeuristicLab.RealVector\%2\HeuristicLab.RealVector-3.2.dll .\plugins
-copy %1\HeuristicLab.Routing.TSP\%2\HeuristicLab.Routing.TSP-3.2.dll .\plugins
-copy %1\HeuristicLab.Scheduling.JSSP\%2\HeuristicLab.Scheduling.JSSP-3.2.dll .\plugins
-copy %1\HeuristicLab.Selection\%2\HeuristicLab.Selection-3.2.dll .\plugins
-copy %1\HeuristicLab.Selection.OffspringSelection\%2\HeuristicLab.Selection.OffspringSelection-3.2.dll .\plugins
-copy %1\HeuristicLab.SequentialEngine\%2\HeuristicLab.SequentialEngine-3.2.dll .\plugins
-copy %1\HeuristicLab.Settings\%2\HeuristicLab.Settings-3.2.dll .\plugins
-copy %1\HeuristicLab.SGA\%2\HeuristicLab.SGA-3.2.dll .\plugins
-copy %1\HeuristicLab.SimOpt\%2\HeuristicLab.SimOpt-3.2.dll .\plugins
-copy %1\HeuristicLab.SQLite\%2\HeuristicLab.SQLite-3.2.dll .\plugins
-copy %1\HeuristicLab.SQLite\System.Data.SQLite.dll .\plugins
-copy %1\HeuristicLab.SQLite\"SQLite License.txt" .\plugins
-copy %1\HeuristicLab.SQLite\SQLite.NET.chm .\plugins
-copy %1\HeuristicLab.TestFunctions\%2\HeuristicLab.TestFunctions-3.2.dll .\plugins
-copy %1\HeuristicLab.ThreadParallelEngine\%2\HeuristicLab.ThreadParallelEngine-3.2.dll .\plugins
-copy %1\HeuristicLab.ES\%2\HeuristicLab.ES-3.2.dll .\plugins
-copy %1\HeuristicLab.Visualization\%2\HeuristicLab.Visualization-3.2.dll .\plugins
-copy %1\HeuristicLab.Visualization.Test\%2\HeuristicLab.Visualization.Test-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Server\%2\HeuristicLab.Hive.Server-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Server.ADODataAccess\%2\HeuristicLab.Hive.Server.ADODataAccess-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Server.Core\%2\HeuristicLab.Hive.Server.Core-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Server.Core\%2\HeuristicLab.Hive.Contracts-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Server.Scheduler\%2\HeuristicLab.Hive.Server.Scheduler-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Client.Core\%2\HeuristicLab.Hive.Client.Core-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Client.Common\%2\HeuristicLab.Hive.Client.Common-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Client.Console\%2\HeuristicLab.Hive.Client.Console-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Client.ExecutionEngine\%2\HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Client.Communication\%2\HeuristicLab.Hive.Client.Communication-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Client.ExecutionEngine\%2\HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll .\plugins
-copy %1\HeuristicLab.Hive.Server.Console\%2\HeuristicLab.Hive.Server.Console-3.2.dll .\plugins
+
+copy "%SolutionDir%\HeuristicLab.AdvancedOptimizationFrontend\%Outdir%\HeuristicLab.AdvancedOptimizationFrontend-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking License.txt" .\plugins
+copy "%SolutionDir%\HeuristicLab.BitVector\%Outdir%\HeuristicLab.BitVector-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.Charting\%Outdir%\HeuristicLab.CEDMA.Charting-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.Core\%Outdir%\HeuristicLab.CEDMA.Core-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.DB\%Outdir%\HeuristicLab.CEDMA.DB-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.DB\%Outdir%\SemWeb.SqliteStore.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.DB\%Outdir%\SemWeb.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.DB.Interfaces\%Outdir%\HeuristicLab.CEDMA.DB.Interfaces-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.Operators\%Outdir%\HeuristicLab.CEDMA.Operators-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.CEDMA.Server\%Outdir%\HeuristicLab.CEDMA.Server-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Charting\%Outdir%\HeuristicLab.Charting-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Charting.Data\%Outdir%\HeuristicLab.Charting.Data-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Communication.Data\%Outdir%\HeuristicLab.Communication.Data-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Communication.Operators\%Outdir%\HeuristicLab.Communication.Operators-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Core\%Outdir%\HeuristicLab.Core-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Constraints\%Outdir%\HeuristicLab.Constraints-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Data\%Outdir%\HeuristicLab.Data-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.DataAnalysis\%Outdir%\HeuristicLab.DataAnalysis-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.DistributedEngine\%Outdir%\HeuristicLab.DistributedEngine-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Evolutionary\%Outdir%\HeuristicLab.Evolutionary-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.GP\%Outdir%\HeuristicLab.GP-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.GP.Boolean\%Outdir%\HeuristicLab.GP.Boolean-1.0.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.GP.SantaFe\%Outdir%\HeuristicLab.GP.SantaFe-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.GP.StructureIdentification\%Outdir%\HeuristicLab.GP.StructureIdentification-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.GP.StructureIdentification.Classification\%Outdir%\HeuristicLab.GP.StructureIdentification.Classification-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.GP.StructureIdentification.TimeSeries\%Outdir%\HeuristicLab.GP.StructureIdentification.TimeSeries-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Grid\%Outdir%\HeuristicLab.Grid-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Logging\%Outdir%\HeuristicLab.Logging-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Operators\%Outdir%\HeuristicLab.Operators-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Operators.Metaprogramming\%Outdir%\HeuristicLab.Operators.Metaprogramming-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Operators.Programmable\%Outdir%\HeuristicLab.Operators.Programmable-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Operators.Stopwatch\%Outdir%\HeuristicLab.Operators.Stopwatch-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.OptimizationFrontend\%Outdir%\HeuristicLab.OptimizationFrontend-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Permutation\%Outdir%\HeuristicLab.Permutation-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Random\%Outdir%\HeuristicLab.Random-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.RealVector\%Outdir%\HeuristicLab.RealVector-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Routing.TSP\%Outdir%\HeuristicLab.Routing.TSP-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Scheduling.JSSP\%Outdir%\HeuristicLab.Scheduling.JSSP-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Selection\%Outdir%\HeuristicLab.Selection-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Selection.OffspringSelection\%Outdir%\HeuristicLab.Selection.OffspringSelection-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.SequentialEngine\%Outdir%\HeuristicLab.SequentialEngine-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Settings\%Outdir%\HeuristicLab.Settings-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.SGA\%Outdir%\HeuristicLab.SGA-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.SimOpt\%Outdir%\HeuristicLab.SimOpt-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.SQLite\%Outdir%\HeuristicLab.SQLite-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.SQLite\System.Data.SQLite.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.SQLite\SQLite License.txt" .\plugins
+copy "%SolutionDir%\HeuristicLab.SQLite\SQLite.NET.chm" .\plugins
+copy "%SolutionDir%\HeuristicLab.TestFunctions\%Outdir%\HeuristicLab.TestFunctions-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.ThreadParallelEngine\%Outdir%\HeuristicLab.ThreadParallelEngine-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.ES\%Outdir%\HeuristicLab.ES-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Visualization\%Outdir%\HeuristicLab.Visualization-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Visualization.Test\%Outdir%\HeuristicLab.Visualization.Test-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Server\%Outdir%\HeuristicLab.Hive.Server-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Server.ADODataAccess\%Outdir%\HeuristicLab.Hive.Server.ADODataAccess-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Server.Core\%Outdir%\HeuristicLab.Hive.Server.Core-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Server.Core\%Outdir%\HeuristicLab.Hive.Contracts-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Server.Scheduler\%Outdir%\HeuristicLab.Hive.Server.Scheduler-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Client.Core\%Outdir%\HeuristicLab.Hive.Client.Core-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Client.Common\%Outdir%\HeuristicLab.Hive.Client.Common-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Client.Console\%Outdir%\HeuristicLab.Hive.Client.Console-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Client.ExecutionEngine\%Outdir%\HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Client.Communication\%Outdir%\HeuristicLab.Hive.Client.Communication-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Client.ExecutionEngine\%Outdir%\HeuristicLab.Hive.Client.ExecutionEngine-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Hive.Server.Console\%Outdir%\HeuristicLab.Hive.Server.Console-3.2.dll" .\plugins
Index: /trunk/sources/HeuristicLab/HeuristicLab.csproj
===================================================================
--- /trunk/sources/HeuristicLab/HeuristicLab.csproj	(revision 851)
+++ /trunk/sources/HeuristicLab/HeuristicLab.csproj	(revision 852)
@@ -3,5 +3,5 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>9.0.21022</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{623FB817-8371-4A9A-A491-4DECC87B2BBB}</ProjectGuid>
@@ -125,4 +125,5 @@
     <None Include="app.config" />
     <None Include="CopyAssemblies.cmd" />
+    <None Include="MergeConfigs.cmd" />
     <None Include="Properties\AssemblyInfo.frame" />
     <None Include="Resources\LargeIcons.gif" />
@@ -141,7 +142,18 @@
   -->
   <PropertyGroup>
-    <PostBuildEvent>cmd /c ""$(ProjectDir)CopyAssemblies.cmd" "$(SolutionDir)." "$(Outdir).""
-cmd /c ""$(ProjectDir)UpdateLocalInstallation.cmd" "$(Outdir).""</PostBuildEvent>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PostBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call MergeConfigs.cmd
+call CopyAssemblies.cmd
+call UpdateLocalInstallation.cmd</PostBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/sources/HeuristicLab/MergeConfigs.cmd
===================================================================
--- /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 852)
+++ /trunk/sources/HeuristicLab/MergeConfigs.cmd	(revision 852)
@@ -0,0 +1,1 @@
+ConfigMerger "%SolutionDir%\HeuristicLab.Settings\%Outdir%\HeuristicLab.Settings-3.2.dll.config" "HeuristicLab.exe.config"
Index: /trunk/sources/HeuristicLab/UpdateLocalInstallation.cmd
===================================================================
--- /trunk/sources/HeuristicLab/UpdateLocalInstallation.cmd	(revision 851)
+++ /trunk/sources/HeuristicLab/UpdateLocalInstallation.cmd	(revision 852)
Index: /trunk/sources/PreBuildEvent.cmd
===================================================================
--- /trunk/sources/PreBuildEvent.cmd	(revision 851)
+++ /trunk/sources/PreBuildEvent.cmd	(revision 852)
@@ -1,1 +1,1 @@
-SubWCRev %1 %1\Properties\AssemblyInfo.frame %1\Properties\AssemblyInfo.cs
+SubWCRev "%ProjectDir%\" "%ProjectDir%\Properties\AssemblyInfo.frame" "%ProjectDir%\Properties\AssemblyInfo.cs"
Index: /trunk/tools/ConfigMerger/ConfigMerger.csproj
===================================================================
--- /trunk/tools/ConfigMerger/ConfigMerger.csproj	(revision 851)
+++ /trunk/tools/ConfigMerger/ConfigMerger.csproj	(revision 852)
@@ -4,5 +4,5 @@
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
-    <ProductVersion>9.0.30729</ProductVersion>
+    <ProductVersion>9.0.21022</ProductVersion>
     <SchemaVersion>2.0</SchemaVersion>
     <ProjectGuid>{E94C5E71-3F29-408D-BCDF-23E096CA84CA}</ProjectGuid>
@@ -66,5 +66,10 @@
   -->
   <PropertyGroup>
-    <PreBuildEvent>cmd /c ""$(SolutionDir)PreBuildEvent.cmd" "$(ProjectDir).""</PreBuildEvent>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
   </PropertyGroup>
 </Project>
Index: /trunk/tools/PreBuildEvent.cmd
===================================================================
--- /trunk/tools/PreBuildEvent.cmd	(revision 851)
+++ /trunk/tools/PreBuildEvent.cmd	(revision 852)
@@ -1,1 +1,1 @@
-SubWCRev %1 %1\Properties\AssemblyInfo.frame %1\Properties\AssemblyInfo.cs
+SubWCRev "%ProjectDir%\" "%ProjectDir%\Properties\AssemblyInfo.frame" "%ProjectDir%\Properties\AssemblyInfo.cs"
